Subject: Re: Building perl - almost there
From: [email-masked] (Christopher G. Faylor)

26 May 1998 14:27:17 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Henrik Soderstrom <[email-masked]> wrote:
>I´ve been having an interesting time the last several days,
>struggling to build perl-5.004_04 on W95 with Chris Faylor's
>patch from "http://www.tiac.net/users/cgf/".
>
>1. miniperl.exe and perl.exe get built all right but when starting
>   to build the dynamically loadable perl extensions the .dll's
>   won´t build.
>   The command 'dlltool' gets stuck in an infinite loop spewing
>   out object files ds1.o ds2.o ds3.o ...
>   (stopped it manually with ctrl-C after a thousand odd files.)
>   (this happens both with the default gcc and egcs-1.0.2-cygb19)
>   Q: Any ideas why it happens and how to fix it ?

Hmm.  I haven't seen that but I haven't built perl with dynamic loading
under B19.  It would be interesting to run nm on a couple of the ds?.o
files at the beginning and at the end of the list and see what symbols
are in the files.

>3. Is Chris's patch supposed (or known) to work with B19 ?
>   (according to his webpage the patch is for B18
>    and a B19 version is due soon)

It should work but it adds unnecessary cruft for dealing with bugs in B18.

>4. From the output of Configure (only happens if patch was applied):
>   fork() NOT found.
>   *** WHOA THERE!!! ***
>       The recommended value for $d_fork on this machine was "define"!
>       Keep the recommended value? [y]  
>   Q: Was I right to accept the default answer [y] here ?
>5. From the output of Configure (only happens if patch was applied):
>   As you already told me, signal handler returns void.
>   *** WHOA THERE!!! ***
>       The recommended value for $d_voidsig on this machine was
>"define"!
>       Keep the recommended value? [y]  
>   Q: Was I right to accept the default answer [y] here ?

Yes.

>6.Other ideas or comments ?

Sergey has a pointer to a perl for b19 on his web page.  That's one of
the reasons why I haven't gotten around to updating my patch to perl.
You might want to try that and save yourself some work.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada